# -*- coding: utf-8 -*-
# This file is auto-generated, don't edit it. Thanks.
import sys

from typing import List
from Tea.core import TeaCore

from alibabacloud_slb20140515.client import Client as Slb20140515Client
from alibabacloud_tea_openapi import models as open_api_models
from alibabacloud_slb20140515 import models as slb_20140515_models
from alibabacloud_tea_util import models as util_models
from alibabacloud_tea_console.client import Client as ConsoleClient
from alibabacloud_tea_util.client import Client as UtilClient


class Sample:
    def __init__(self):
        pass

    @staticmethod
    def create_client(
        access_key_id: str,
        access_key_secret: str,
    ) -> Slb20140515Client:
        """
        使用AK&SK初始化账号Client
        @param access_key_id:
        @param access_key_secret:
        @return: Client
        @throws Exception
        """
        config = open_api_models.Config(
            # 您的 AccessKey ID,
            access_key_id=access_key_id,
            # 您的 AccessKey Secret,
            access_key_secret=access_key_secret
        )
        # 访问的域名
        config.endpoint = f'slb.aliyuncs.com'
        return Slb20140515Client(config)

    @staticmethod
    def main(
        args: List[str],
    ) -> None:
        client = Sample.create_client('ACCESS_KEY_ID', 'ACCESS_KEY_SECRET')
        add_access_control_list_entry_request = slb_20140515_models.AddAccessControlListEntryRequest(
            acl_id='acl-uf60ul1yg7o7tvd5rot9v',
            region_id='cn-shanghai',
            acl_entrys='[{"entry":"10.10.10.11/32","comment":"test2"}]'
        )
        runtime = util_models.RuntimeOptions()
        resp = client.add_access_control_list_entry_with_options(add_access_control_list_entry_request, runtime)
        ConsoleClient.log(UtilClient.to_jsonstring(TeaCore.to_map(resp)))

    @staticmethod
    async def main_async(
        args: List[str],
    ) -> None:
        client = Sample.create_client('ACCESS_KEY_ID', 'ACCESS_KEY_SECRET')
        add_access_control_list_entry_request = slb_20140515_models.AddAccessControlListEntryRequest(
            acl_id='acl-uf60ul1yg7o7tvd5rot9v',
            region_id='cn-shanghai',
            acl_entrys='[{"entry":"10.10.10.11/32","comment":"test2"}]'
        )
        runtime = util_models.RuntimeOptions()
        resp = await client.add_access_control_list_entry_with_options_async(add_access_control_list_entry_request, runtime)
        ConsoleClient.log(UtilClient.to_jsonstring(TeaCore.to_map(resp)))


if __name__ == '__main__':
    Sample.main(sys.argv[1:])
